Reddit /r/Pizzagate Archive

WhiteHatRasta | 87 points | Nov 16 2016 16:03:11

BBC News - 15-NOV: Scores of children missing from UK Child "Protection System"

UK child protection services are reportedly losing children to child trafficking at an alarming rate. From BBC News:

http://www.bbc.com/news/uk-37982221

Would you like to know more?

-United Kingdom-
http://www.localgov.co.uk/Alarming-number-of-child-trafficking-victims-missing-from-care/42031

https://www.theguardian.com/global-development/2016/nov/14/child-trafficking-victims-disappearing-from-uk-care-at-alarming-rate

-United States-
Kentucky
http://www.bgdailynews.com/news/kentucky-baptists-raising-awareness-of-human-trafficking/article_4dbc0b6b-677d-5275-950a-0cad8311327b.html
Texas
http://www.nbcdfw.com/news/local/Man-Sentenced-For-Online-Child-Trafficking-From-Denton-Hotel-400611621.html
Indiana
http://www.indystar.com/story/news/crime/2016/11/10/indiana-women-accused-human-trafficking-teenager/93616594/
San Francisco
http://www.sfchronicle.com/opinion/editorials/article/SF-makes-slow-progress-against-human-trafficking-10609526.php

-India-
http://www.dnaindia.com/india/interview-child-trafficking-accounts-for-a-good-chunk-of-black-money-kailash-satyarthi-2273130

permalink

Luanne__Platter | 1 points | Nov 16 2016 18:43:28

Great post with excellent sources. Thanks for sharing this!

permalink

TexasBorder | 1 points | Nov 16 2016 18:57:42

I would like to add this to the Texas side myself, since I can't find any clarification as to what happened with this children.

Doe anyone remember this?

https://www.washingtonpost.com/news/federal-eye/wp/2015/12/16/unaccompanied-children-crossing-southern-border-in-greater-numbers-again-raising-fears-of-new-migrant-crisis/

I am concerned that these kids could of also turned into an exploit considering they came unaccompanied, so how do we know if they even went back to their families or if they just disappeared into obscurity.

If I might add, this is just part of the search, but look at the numbers and growing concerns of children attempting to cross the border. Who is keeping an eye on all those children and how do we even know that they are all safe?

https://www.google.com/search?q=denton+texas&rlz=1C1PRFE_enUS704US704&oq=denton+texas&aqs=chrome.0.0l6.174505j0j4&sourceid=chrome&ie=UTF-8#q=what+happened+to+the+children+at+the+texas+border

permalink